框架安全补丁20120323

浏览:4766 最后更新:2013-05-13 16:40 分类:框架
[ ThinkPHP URL安全漏洞补丁 ]
该URL安全漏洞会造成用户在客户端伪造URL,执行了非法代码。
影响到的版本包括2.1、2.2和3.0 请对应相关版本及时更新核心程序。
20120323之后下载的框架无需更新补丁。更新方法:首先解压缩补丁文件2.1和2.2版本
替换补丁包中的Dispatcher.class.php 文件到 ThinkPHP/Lib/Think/Util/目录下的同名文件

3.0版本
替换补丁包中的Dispatcher.class.php 文件到 ThinkPHP/Lib/Core/目录下面的同名文件
替换补丁包中的CheckRouteBehavior.class.php 文件到 ThinkPHP/Lib/Behavior/目录下面的同名文件

替换后删除编译缓存文件后即可
评论( 相关
后面还有条评论,点击查看>>